Bug 1021616 - [amqp1.0] Subscription queues shall be auto-delete when using default reliability
[amqp1.0] Subscription queues shall be auto-delete when using default reliabi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
unspecified Severity high
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-10-21 12:03 EDT by Petr Matousek
Modified: 2015-01-21 07:55 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:55:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-10-21 12:03:03 EDT
Description of problem:

When receiving from exchange the default reliability for the link is unreliable.
Even if the unreliable link is used by default, the subscription queue is not marked as auto-delete, thus the subscription queue is not removed after the link is closed.

Note: when the reliability is explicitly specified (ie. unreliable or at-most-once) the behavior is as expected.

Version-Release number of selected component (if applicable):
qpid-cpp-*-0.22-20

How reproducible:
100%

Steps to Reproduce:
1. drain -t 10 --connection-options "{protocol: 'amqp1.0'}" 'amq.direct'
2. while the client is running get the subscription queue properties (ie. using qpid-config) and realize that the queue is not marked as auto-delete
3. list the queues after the client has finished (ie. using qpid-config)
4. the subscription queue was not removed

Actual results:
The subscription queue is marked exclusive, but not auto-delete when default reliability(unreliable) is used for the link.
The subscription queue is NOT removed after the link is closed.


Expected results:
The subscription queue is marked exclusive and auto-delete and is removed after the link is closed when using the default reliability.

Additional info:
Comment 1 Gordon Sim 2013-10-22 06:44:43 EDT
Fixed upstream: https://svn.apache.org/r1534593
Comment 2 Petr Matousek 2013-10-29 05:29:46 EDT
This issue has been fixed. Verified on rhel6.4 (i386, x86_64).

packages used for testing:
qpid-cpp-*-0.22-23.el6

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.